Subject: Re: [PATCH] powerpc: delete boot-cpu and chosen nodes from all DTS files

From: Timur Tabi <[email-masked]>
Date: Wed, 14 Feb 2007 15:02:44 -0600

Benjamin Herrenschmidt wrote:

>> Obviously, the kernel needs a 'chosen' section, and that's why U-Boot 
>> adds one.  And since U-Boot adds one, the DTS itself doesn't need one. 
>> Does the 8272 never use U-Boot?
> 
> I'm not talking specifically about the 8272. I think we should at it
> back to all dts's

Ugh.  Considering that U-Boot overrides whatever is in the 'chosen' section, can 
you tell me why you think it should be there?  If we put an empty 'chosen' 
section in the DTS files, are we actually doing anything meaningful?

In the interest of saving time, I'm going to respin my patch without the 
'chosen' section removed.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale